/*
 *
 * Copyright 2005-2008 by beck et al. projects GmbH, Munich
 * Copyright 2009-2019 by Kappich Systemberatung, Aachen
 * Copyright 2023 by DTV-Verkehrsconsult, Aachen
 *
 * This file is part of de.bsvrz.ars.ars.
 *
 * de.bsvrz.ars.ars is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * de.bsvrz.ars.ars is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.ars.ars.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * DTV-Verkehrsconsult GmbH
 * Pascalstraße 53
 * 52076 Aachen, Germany
 * phone: +49 2408 7047 0
 * mail: <info@dtv-verkehrsconsult.de>
 */

package de.bsvrz.ars.ars.persistence.index;

import java.io.Serial;
import java.nio.file.Path;

/**
 * Diese Ausnahme deutet an, dass es nicht möglich war, den Index einzulesen, weil er beschädigt ist.
 *
 * @author beck et al. projects GmbH
 * @author Phil Schrettenbrunner
 * @version $Revision$ / $Date$ / ($Author$)
 */
public class CorruptIndexException extends IndexException {

	/** Versionsnummer dieser Exception */
	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * CorruptIndexException mit Fehlermeldung
	 *
	 * @param msg Fehlermeldung
	 * @param file Betroffene Datei
	 */
	public CorruptIndexException(final String msg, final Path file) {
		super(msg, file);
	}

	/**
	 * CorruptIndexException mit Fehlermeldung
	 *
	 * @param message Fehlermeldung
	 * @param file Betroffene Datei
	 * @param cause Ursache
	 */
	public CorruptIndexException(final String message, final Path file, final Throwable cause) {
		super(message, file, cause);
	}
}
